# Xapian::StringListSerialiser Class Reference

Class to serialise a list of strings in a form suitable for ValueCountMatchSpy. More...

`#include <matchspy.h>`

List of all members.

## Public Member Functions

| StringListSerialiser ()
| Default constructor.
| StringListSerialiser (const std::string &initial)
| Initialise with a string.
template<class Iterator>
| StringListSerialiser (Iterator begin, Iterator end)
| Initialise from a pair of iterators.
void | append (const std::string &value)
| Add a string to the end of the list.
const std::string & | get () const
| Get the serialised result.

## Detailed Description

Class to serialise a list of strings in a form suitable for ValueCountMatchSpy.

## Constructor & Destructor Documentation

Xapian::StringListSerialiser::StringListSerialiser | ( |  | ) | `[inline]`

Default constructor.

Xapian::StringListSerialiser::StringListSerialiser | ( | const std::string & | initial | ) | `[inline]`

Initialise with a string.

(The string represents a serialised form, rather than a single value to be serialised.)

template<class Iterator>

Xapian::StringListSerialiser::StringListSerialiser | ( | Iterator | begin,
|  | Iterator | end |
| ) |  |  | `[inline]`

Initialise from a pair of iterators.

## Member Function Documentation

void Xapian::StringListSerialiser::append | ( | const std::string & | value | ) |

Add a string to the end of the list.

const std::string& Xapian::StringListSerialiser::get | ( |  | ) | const`[inline]`

Get the serialised result.

The documentation for this class was generated from the following file:

- include/xapian/matchspy.h